commit:     143d7e1ac1349286df61127b0d768d8e0ae963c0
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Nov 15 23:23:01 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 23:23:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=143d7e1a

dev-libs/libpo6: disable static libs

Closes: https://bugs.gentoo.org/723170
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-libs/libpo6/libpo6-0.8.0.ebuild | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/dev-libs/libpo6/libpo6-0.8.0.ebuild 
b/dev-libs/libpo6/libpo6-0.8.0.ebuild
index 810e8444c7b..94435303959 100644
--- a/dev-libs/libpo6/libpo6-0.8.0.ebuild
+++ b/dev-libs/libpo6/libpo6-0.8.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,11 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64"
 
-IUSE=""
+src_configure() {
+       econf --disable-static
+}
 
-DEPEND=""
-RDEPEND="${DEPEND}"
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to